clear
diary off

diary output_09aug4.txt

'======================================'
'I. Fuzzy Design'
'======================================'

load art_fuzzy_rd.txt
y=art_fuzzy_rd(:,1);
w=art_fuzzy_rd(:,2);
x=art_fuzzy_rd(:,3);
z=art_fuzzy_rd(:,4:6);
threshold=0.5;
output=0;


'======================================'
'Summary Statistics'
'======================================'

summ=[mean(y),mean(x),mean(z);std(y),std(x),std(z)]
[sum(w),sum(1-w)]

output=0;
addcov=1;



'======================================'
'Basic Output Fuzzy Design'
'======================================'

[est,se,h_opt]=rd_optbandwidth(y,x,w,z,threshold,output,addcov);
output_fuzzy_cov=[est,se,h_opt];
estimat=est
standard_error=se
bandwidth=h_opt



output=1;
addcov=1;

'======================================'
'Full Output Fuzzy Design'
'======================================'

[est,se,h_opt]=rd_optbandwidth(y,x,w,z,threshold,output,addcov);
output_fuzzy_cov=[est,se,h_opt];
estimat=est
standard_error=se
bandwidth=h_opt



'====================================='
'II. sharp rd design'
'====================================='



load art_sharp_rd.txt
y=art_sharp_rd(:,1);
x=art_sharp_rd(:,2);
z=art_sharp_rd(:,3:6);
threshold=0.2990;
w=x>threshold;


'======================================'
'Summary Statistics'
'======================================'
summ=[mean(y),mean(x),mean(z);std(y),std(x),std(z)]
[sum(w),sum(1-w)]

output=0;
addcov=1;


'======================================'
'Basic Output Sharp Design'
'======================================'

[est,se,h_opt]=rd_optbandwidth(y,x,w,z,threshold,output,addcov);
estimat=est
standard_error=se
bandwidth=h_opt



diary off